Skip to main content
POST
/
workflows
/
executions
/
list
List workflow executions with filtering and pagination
curl --request POST \
  --url https://api.artu.ai/workflows/executions/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "filter": {
    "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "triggerType": "<string>",
    "entityType": "<string>",
    "entityId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "initiatedBy": "<string>"
  },
  "sort": "<unknown>",
  "cursor": "<string>",
  "offset": 4503599627370495,
  "limit": 20,
  "includeTotalCount": true
}
'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "<string>",
      "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "eventId": "<string>",
      "triggerType": "<string>",
      "entityType": "<string>",
      "entityId": "<string>",
      "eventType": "<string>",
      "error": "<string>",
      "alertIds": [
        "<string>"
      ],
      "durationMs": 0,
      "initiatedBy": "<string>",
      "createdAt": "<string>",
      "producedRecords": [],
      "producedFiles": [],
      "completedAt": "<string>",
      "inputs": {},
      "resolvedVariables": {},
      "workflowTrace": {
        "workflowSnapshot": {
          "nodes": [],
          "edges": []
        },
        "nodeTraces": [
          {
            "nodeId": "<string>",
            "type": "<string>",
            "durationMs": 123,
            "error": "<string>",
            "skipped": true,
            "rowCounts": {},
            "columns": {},
            "outputs": {}
          }
        ],
        "durationMs": 123,
        "error": "<string>"
      },
      "warnings": []
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "<string>",
    "totalCount": 0
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json
filter
object
sort
any
cursor
string
offset
integer
Required range: 0 <= x <= 9007199254740991
limit
integer
default:20
Required range: 1 <= x <= 200
includeTotalCount
boolean

Response

200 - application/json

OK

data
object[]
required
pagination
object
required